petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabSetFieldVector

Sets the vector reference that represents the solution associated with a particular field component.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldVector(DM dm, PetscInt ifield, Vec fvec)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| ifield | - the index of the field as set before via DMMoabSetFieldName.
| fvec | - the Vector solution corresponding to the field (component)

### Keywords

discretization manager, set, component solution

### See Also

DMMoabGetFieldName(), DMMoabSetGlobalFieldVector()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages